# Jira Client

A small and very incomplete Jira client library.

## Installation

```shell
go get git.jasperbok.nl/jasperbok/jiraclient.git
```

## Usage

```go
package main

import (
	"fmt"
	"log"
	"git.jasperbok.nl/jasperbok/jiraclient.git"
)

jira := jiraclient.NewJiraClient("username", "token", "atlassian.net_subdomain")
issue, err := jira.GetIssue("ABC-12")
if err != nil {
	log.Fatal(err)
}
fmt.Printf("%s\n", issue.Summary)
```

## API

### `NewJiraClient(string, string, string) JiraClient`

### `JiraClient.GetIssue(string) (Issue, error)`

### `JiraClient.GetProject(string) (Project, error)`

### `JiraClient.Search(string) ([]Issue, error)`